

system("python digest-json-long.py")
ts = read.csv("/tmp/leaf.csv", header = T)
for (x in qw(opponent_choice, choice))
    ts[,x] = factor(ts[,x], levels = qw(Defect, Cooperate))
ts = ddply(ts, .(subject, payoff_condition, show_opponent_score),
    function(slice) transform(slice,
        cumcoop.n = cumsum(choice == "Cooperate"),
        cumcoop.p = cumsum(choice == "Cooperate") / seq_along(choice)))

socdisc = read.csv("social-discounting.csv", header = T)
socdisc = transform(socdisc,
    s = factor(sprintf("s%02d", s)))
socdisc = ordf(socdisc, s)
socdisc = cbind(ss(socdisc, select = -p_indiff), socdisc["p_indiff"])
pdists = daply(socdisc, .(s), function(slice)
   {x = c(75, num(slice[qw(N1, N2, N5, N10, N20, N50, N100)]))
    y = seq_along(x) - 1
    num(predict(lm(y ~ x), newdata = data.frame(x = slice$p_indiff)))})

bad.s = qw(s25, s31, s51, s52, s71, s80)
  # Vasiliy: "definitely take out 25,31,51,52,71 and 80  - there were serious issues with these."

maybe.bad.s = qw(s52, s54, s56)
  # Vasiliy: "The 52,54,56 are probably okay, but maybe run the analysis with and without them? I suspect it will make no difference.  Two of them were surprised to be paid, and another forgot to tell us the score for the last round (but I imagine it was just an extra click and the screen disappeared).  I would keep them in because being surprised to receive money is kind of a subjective thing, besides they were in the reward condition and they did cooperate (at a 'normal' rate) so it's not like they did understand the rules."

pdist.r = rank(pdists[setdiff(names(pdists), bad.s)])
pdist.r2 = rank(pdists[setdiff(names(pdists), union(bad.s,
    char(ss(socdisc, (N100 <= N50) + (N50 <= N20) + (N20 <= N10) + (N10 <= N5) + (N5 <= N2) + (N2 <= N1) < 5)$s)))])
ts = transform(ts,
    pdist = pdists[char(subject)],
    pdist.r = pdist.r[char(subject)],
    pdist.r2 = pdist.r2[char(subject)])
