#!/bin/env python

json_dir = 'json'
target_path = '/tmp/leaf.csv'

import os, os.path, json
from collections import defaultdict

jsons = []
for filename in os.listdir(json_dir):
    with open(os.path.join(json_dir, filename)) as o:
        jsons.append(json.load(o))

with open(target_path, 'w') as o:
    print >>o, 'subject,show_opponent_score,payoff_condition_order,payoff_condition,trial,opponent_choice,choice,player_total,opponent_total'
    for x in sorted(jsons, key = lambda x: int(x['subject'])):
        for payoff in x['payoff_condition_order']:
            pc = x['payoff_condition'][payoff]
            pco = x['payoff_condition_order'].index(payoff) + 1
            amounts = [int(s) for s in payoff.split('-')]
            payoffs = {
              # The first element of each pair is the player whose payoffs
              # we're asking about. True is cooperation and False is defection.
                (True, False): amounts[0],
                (False, False): amounts[1],
                (True, True): amounts[2],
                (False, True): amounts[3]}
            player_total = 0
            opponent_total = 0
            for trial, (scoop, ocoop) in enumerate(zip(pc['cooperated'], pc['opponent_cooperates'])):
                player_total += payoffs[scoop, ocoop]
                opponent_total += payoffs[ocoop, scoop]
                print >>o, ','.join(map(str, [
                    's%02d' % int(x['subject'].strip()),
                    x['show_opponent_score'],
                    pco,
                    payoff,
                    trial + 1,
                    'Cooperate' if ocoop else 'Defect',
                    'Cooperate' if scoop else 'Defect',
                    player_total,
                    opponent_total]))
