#!/bin/env python

json_dir = 'json'
target_path = '/tmp/leaf.csv'

import os, os.path, json
from collections import defaultdict

jsons = []
for filename in os.listdir(json_dir):
    with open(os.path.join(json_dir, filename)) as o:
        jsons.append(json.load(o))

with open(target_path, 'w') as o:
    print >>o, 'subject,show_opponent_score,payoff_condition_order,payoff_condition,DD,DC,CC,CD'
    for x in sorted(jsons, key = lambda x: int(x['subject'])):
        for payoff in x['payoff_condition_order']:
            pc = x['payoff_condition'][payoff]
            choices = defaultdict(int)
            for scoop, ocoop in zip(pc['cooperated'], pc['opponent_cooperates']):
                choices[scoop, ocoop] += 1
            print >>o, ','.join(map(str, [
                x['subject'], x['show_opponent_score'],
                x['payoff_condition_order'].index(payoff) + 1,
                payoff,
                choices[False, False], choices[False, True],
                choices[True, True], choices[True, False]]))
